Lorene::Eos_bf_tabul Class Reference

Class for a two-fluid (tabulated) equation of state. More...

`#include <eos_bifluid.h>`

Inheritance diagram for Lorene::Eos_bf_tabul:

## Public Member Functions

virtual | ~Eos_bf_tabul ()
| Destructor.
virtual bool | operator== (const Eos_bifluid &) const
| Comparison operator (egality).
virtual bool | operator!= (const Eos_bifluid &) const
| Comparison operator (difference).
virtual int | identify () const
| Returns a number to identify the sub-classe of `Eos` the object belongs to.
virtual void | sauve (FILE *) const
| Save in a file.
void | calcule_interpol (const Cmp &ent1, const Cmp &ent2, const Cmp &delta2, Cmp &nbar1, Cmp &nbar2, Cmp &ener, Cmp &press, Cmp &K_nn, Cmp &K_np, Cmp &K_pp, int nzet, int l_min=0) const
| General computational method for `Cmp` 's, it computes both baryon densities, energy and pressure profiles.
virtual bool | nbar_ent_p (const double ent1, const double ent2, const double delta2, double &nbar1, double &nbar2) const
| Computes both baryon densities from the log-enthalpies.
virtual double | nbar_ent_p1 (const double ent1) const
| Computes baryon density out of the log-enthalpy asuming that only fluid 1 is present.
virtual double | nbar_ent_p2 (const double ent2) const
| Computes baryon density out of the log-enthalpy assuming that only fluid 2 is present.
virtual double | ener_nbar_p (const double nbar1, const double nbar2, const double delta2) const
| Computes the total energy density from the baryonic densities and the relative velocity.
virtual double | press_nbar_p (const double nbar1, const double nbar2, const double delta2) const
| Computes the pressure from the baryonic densities and the relative velocity.
virtual double | get_K11 (const double delta2, const double ent1, const double ent2) const
| Computes the derivative of the energy with respect to (baryonic density 1) .
virtual double | get_K12 (const double delta2, const double ent1, const double ent2) const
| Computes the derivative of the energy with respect to .
virtual double | get_K22 (const double delta2, const double ent1, const double ent2) const
| Computes the derivative of the energy/(baryonic density 2) .
virtual double | ener_ent_p (const double ent1, const double ent2, const double delta_car) const
| Computes the total energy density from the baryonic log-enthalpies and the relative velocity.
virtual double | press_ent_p (const double ent1, const double ent2, const double delta_car) const
| Computes the pressure from the baryonic log-enthalpies and the relative velocity.
virtual double | press_ent_p1 (const double ent1) const
| Computes the pressure from the baryonic log-enthalpies asuming that only fluid 1 is present.
virtual double | press_ent_p2 (const double ent2) const
| Computes the pressure from the baryonic log-enthalpies assuming that only fluid 2 is present.
virtual double | alpha_ent_p (const double ent1, const double ent2, const double delta_car) const
| Computes alpha, the derivative of the total energy density with respect to from the baryonic log-enthalpies and the relative velocity.
virtual Eos * | trans2Eos () const
| Makes a translation from `Eos_bifluid` to `Eos` .
string | get_name () const
| Returns the EOS name.
double | get_m1 () const
| Return the individual particule mass .
double | get_m2 () const
| Return the individual particule mass .
virtual void | calcule_tout (const Cmp &ent1, const Cmp &ent2, const Cmp &delta2, Cmp &nbar1, Cmp &nbar2, Cmp &ener, Cmp &press, int nzet, int l_min=0) const
| General computational method for `Cmp` 's, it computes both baryon densities, energy and pressure profiles.
void | nbar_ent (const Cmp &ent1, const Cmp &ent2, const Cmp &delta2, Cmp &nbar1, Cmp &nbar2, int nzet, int l_min=0) const
| Computes both baryon density fields from the log-enthalpy fields and the relative velocity.
Cmp | ener_ent (const Cmp &ent1, const Cmp &ent2, const Cmp &delta2, int nzet, int l_min=0) const
| Computes the total energy density from the log-enthalpy fields and the relative velocity.
Cmp | press_ent (const Cmp &ent1, const Cmp &ent2, const Cmp &delta2, int nzet, int l_min=0) const
| Computes the pressure from the log-enthalpy fields and the relative velocity.
Cmp | get_Knn (const Cmp &nbar1, const Cmp &nbar2, const Cmp &x2, int nzet, int l_min=0) const
| Computes the derivatives of the energy/(baryonic density 1) .
Cmp | get_Kpp (const Cmp &nbar1, const Cmp &nbar2, const Cmp &x2, int nzet, int l_min=0) const
| Computes the derivatives of the energy/(baryonic density 2) .
Cmp | get_Knp (const Cmp &nbar1, const Cmp &nbar2, const Cmp &x2, int nzet, int l_min=0) const
| Computes the derivatives of the energy with respect to .
void | calcule (const Cmp &nbar1, const Cmp &nbar2, const Cmp &x2, int nzet, int l_min, double(Eos_bifluid::*fait)(double, double, double) const, Cmp &resu) const
| General computational method for `Cmp` 's ( 's).
Cmp | get_Knn_ent (const Cmp &ent1, const Cmp &ent2, const Cmp &x2, int nzet, int l_min=0) const
| Computes the derivatives of the energy/(baryonic density 1) .
Cmp | get_Kpp_ent (const Cmp &ent1, const Cmp &ent2, const Cmp &x2, int nzet, int l_min=0) const
| Computes the derivatives of the energy/(baryonic density 2) .
Cmp | get_Knp_ent (const Cmp &ent1, const Cmp &ent2, const Cmp &x2, int nzet, int l_min=0) const
| Computes the derivatives of the energy with respect to .
void | calcule_ent (const Cmp &ent1, const Cmp &ent2, const Cmp &x2, int nzet, int l_min, double(Eos_bifluid::*fait)(double, double, double) const, Cmp &resu) const
| General computational method for `Cmp` 's ( 's).

## Static Public Member Functions

static Eos_bifluid * | eos_from_file (FILE *)
| Construction of an EOS from a binary file.
static Eos_bifluid * | eos_from_file (const char *fname)
| Construction of an EOS from a formatted file.
static Eos_bifluid * | eos_from_file (ifstream &)
| Construction of an EOS from a formatted file.

## Protected Member Functions

| Eos_bf_tabul (const char *name_i, const char *table, const char *path, double mass1, double mass2)
| Standard constructor.
| Eos_bf_tabul (const char *name_i, const char *file_name, double mass1, double mass2)
| Standard constructor from the full filename.
| Eos_bf_tabul (FILE *)
| Constructor from a binary file (created by the function `sauve(FILE*)` ).
| Eos_bf_tabul (ifstream &ist, const char *table)
| Constructor from a formatted file.
| Eos_bf_tabul (ifstream &ist)
| Constructor from a formatted file.
void | read_table ()
| Reads the file containing the table and initializes the arrays logent1, `logent2`, `delta_car`, `logp`, `dlpsdlent1`, `dlpsdlent2`, `d2lpsdlent1dlent2`, `dlpsddelta_car`, `d2lpsdlent1ddelta_car`, `d2lpsdlent2ddelta_car`, `d3lpsdlent1dlent2ddelta_car`.
virtual ostream & | operator>> (ostream &) const
| Operator >>.

## Protected Attributes

string | tablename
| Name of the file containing the tabulated data (be careful, Eos_bifluid uses char*).
string | authors
| Authors.
double | delta_car_min
| Lower boundary of the relative velocity interval --> 0 ?
double | delta_car_max
| Upper boundary of the relative velocity interval --> 1 ?
double | ent1_min
| Lower boundary of the log-enthalpy interval (fluid 1 = n).
double | ent1_max
| Upper boundary of the log-enthalpy interval (fluid 1 = n).
double | ent2_min
| Lower boundary of the log-enthalpy interval (fluid 2 = p).
double | ent2_max
| Upper boundary of the log-enthalpy interval (fluid 2 = p).
Tbl * | logent1
| Table of where .
Tbl * | logent2
| Table of where .
Tbl * | delta_car
| Table of .
Tbl * | logp
| Table of .
Tbl * | dlpsdlent1
| Table of .
Tbl * | dlpsdlent2
| Table of .
Tbl * | d2lpsdlent1dlent2
| Table of .
Tbl * | d2lpsdlent1dlent1
| Table of .
Tbl * | d2lpsdlent2dlent2
| Table of .
Tbl * | dlpsddelta_car
| Table of .
Tbl * | d2lpsdlent1ddelta_car
| Table of .
Tbl * | d2lpsdlent2ddelta_car
| Table of .
Tbl * | d3lpsdlent1dlent2ddelta_car
| if necessary for the interpolation to find alpha (derivee seconde croisee) ie, if it's possible to calculate it (when the eos is calculated) Table of
Tbl * | delta_car_n0
Tbl * | mu1_n0
Tbl * | mu2_n0
Tbl * | delta_car_p0
Tbl * | mu1_p0
Tbl * | mu2_p0
Tbl * | mu1_N
Tbl * | n_n_N
Tbl * | press_N
Tbl * | mu2_P
Tbl * | n_p_P
Tbl * | press_P
string | name
| EOS name.
double | m_1
| Individual particle mass [unit: ].
double | m_2
| Individual particle mass [unit: ].

## Private Member Functions

| Eos_bf_tabul (const Eos_bf_tabul &)
| Copy constructor.
void | operator= (const Eos_bf_tabul &)
| Assignment to another `Eos_bf_tabul`.

## Friends

Eos_bifluid * | Eos_bifluid::eos_from_file (FILE *)
| The construction functions from a file.
Eos_bifluid * | Eos_bifluid::eos_from_file (ifstream &)

## Detailed Description

Class for a two-fluid (tabulated) equation of state.

This EOS depends on three variables : relative velocity between the two fluids and the two enthalpies (for neutrons and protons).

The interpolation through the tables is a cubic Hermite interpolation in and which is thermodynamically consistent, i.e. preserves the Gibbs-Duhem relation. It is defined in [Nozawa, Stergioulas, Gourgoulhon & Eriguchi, Astron. Astrophys. Suppl. Ser. 132 , 431 (1998)], and derives from a general technique presented in [Swesty, J. Comp. Phys. 127 , 118 (1996)]. The value of being calculated with a first order precision, we use a linear interpolation in .

Definition at line 1534 of file eos_bifluid.h.

## Constructor & Destructor Documentation

## Eos_bf_tabul() [1/6]

Lorene::Eos_bf_tabul::Eos_bf_tabul | ( | const char * | name_i,
|  | const char * | table,
|  | const char * | path,
|  | double | mass1,
|  | double | mass2 )

protected

Standard constructor.

Parameters

  name_i | Name of the equation of state
  table | Name of the file containing the EOS table
  path | Path to the directory containing the EOS file
  mass1 | Mass of particles in fluid 1 (neutrons)
  mass2 | Mass of particles in fluid 2 (protons)

Definition at line 128 of file eos_bf_tabul.C.

References Lorene::Eos_bifluid::Eos_bifluid(), read_table(), and tablename.

## Eos_bf_tabul() [2/6]

Lorene::Eos_bf_tabul::Eos_bf_tabul | ( | const char * | name_i,
|  | const char * | file_name,
|  | double | mass1,
|  | double | mass2 )

protected

Standard constructor from the full filename.

Parameters

  name_i | Name of the equation of state
  file_name | Full name of the file containing the EOS table (including the absolute path).
  mass1 | Mass of particles in fluid 1 (neutrons)
  mass2 | Mass of particles in fluid 2 (protons)

Definition at line 141 of file eos_bf_tabul.C.

References Lorene::Eos_bifluid::Eos_bifluid(), read_table(), and tablename.

## Eos_bf_tabul() [3/6]

Lorene::Eos_bf_tabul::Eos_bf_tabul | ( | const Eos_bf_tabul & |  | ) |

private

Copy constructor.

References Eos_bf_tabul().

## Eos_bf_tabul() [4/6]

Lorene::Eos_bf_tabul::Eos_bf_tabul | ( | FILE * | fich | ) |

protected

Constructor from a binary file (created by the function `sauve(FILE*)` ).

This constructor is protected because any EOS construction from a binary file must be done via the function `Eos_bifluid::eos_from_file(FILE*)` .

Definition at line 152 of file eos_bf_tabul.C.

References Lorene::Eos_bifluid::Eos_bifluid(), read_table(), and tablename.

## Eos_bf_tabul() [5/6]

Lorene::Eos_bf_tabul::Eos_bf_tabul | ( | ifstream & | ist,
|  | const char * | table )

protected

Constructor from a formatted file.

This constructor is protected because any EOS construction from a formatted file must be done via the function `Eos_bifluid::eos_from_file`(ifstream& ) .

Parameters

  ist | input file stream containing a name as first line and the path to the directory containing the EOS file as second line
  table | Name of the file containing the EOS table

Definition at line 164 of file eos_bf_tabul.C.

References Lorene::Eos_bifluid::Eos_bifluid(), read_table(), and tablename.

## Eos_bf_tabul() [6/6]

Lorene::Eos_bf_tabul::Eos_bf_tabul | ( | ifstream & | ist | ) |

protected

Constructor from a formatted file.

This constructor is protected because any EOS construction from a formatted file must be done via the function `Eos::eos_from_file`(ifstream& ) .

Parameters

  ist | input file stream containing a name as first line and the full filename (including the path) containing the EOS file as second line

Definition at line 173 of file eos_bf_tabul.C.

References Lorene::Eos_bifluid::Eos_bifluid(), read_table(), and tablename.

## ~Eos_bf_tabul()

Lorene::Eos_bf_tabul::~Eos_bf_tabul | ( |  | ) |

virtual

Destructor.

Definition at line 185 of file eos_bf_tabul.C.

References d2lpsdlent1ddelta_car, d2lpsdlent1dlent1, d2lpsdlent1dlent2, d2lpsdlent2ddelta_car, d2lpsdlent2dlent2, d3lpsdlent1dlent2ddelta_car, delta_car, dlpsddelta_car, dlpsdlent1, dlpsdlent2, logent1, logent2, and logp.

## Member Function Documentation

## alpha_ent_p()

double Lorene::Eos_bf_tabul::alpha_ent_p | ( | const double | ent1,
|  | const double | ent2,
|  | const double | delta_car ) const

virtual

Computes alpha, the derivative of the total energy density with respect to from the baryonic log-enthalpies and the relative velocity.

Parameters

  ent1 | [input, unit: ] log-enthalpy of fluid 1
  ent2 | [input, unit: ] log-enthalpy of fluid 2
  delta2 | [input, unit: ] relative velocity

Returns
  \alpha

Definition at line 1503 of file eos_bf_tabul.C.

References d2lpsdlent1ddelta_car, d2lpsdlent1dlent2, d2lpsdlent2ddelta_car, delta_car, delta_car_max, delta_car_min, dlpsddelta_car, dlpsdlent1, dlpsdlent2, ent1_max, ent2_max, Lorene::exp(), logent1, logent2, logp, Lorene::Eos_bifluid::m_1, and Lorene::Eos_bifluid::m_2.

## calcule()

void Lorene::Eos_bifluid::calcule | ( | const Cmp & | nbar1,
|  | const Cmp & | nbar2,
|  | const Cmp & | x2,
|  | int | nzet,
|  | int | l_min,
|  | double(Eos_bifluid::* | fait )(double, double, double) const,
|  | Cmp & | resu ) const

inherited

General computational method for `Cmp` 's ( 's).

Parameters

  nbar1 | [input, unit ] baryonic density field of fluid 1 at which the derivatives are to be computed.
  nbar2 | [input, unit ] baryonic density field of fluid 2 at which the derivatives are to be computed
  x2 | [input, unit ] relative velocity both densities at which the derivative is to be computed
  nzet | [input] number of domains where `resu` is to be computed.
  l_min | [input] index of the innermost domain is which `resu` is to be computed [default value: 0]; `resu` is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  fait | [input] pointer on the member function of class `Eos_bifluid` which performs the pointwise calculation.
  resu | [output] result of the computation.

Definition at line 656 of file eos_bifluid.C.

References Lorene::Cmp::annule(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Eos_bifluid(), Lorene::Cmp::get_etat(), Lorene::Tbl::get_etat(), Lorene::Cmp::get_mp(), Lorene::Mg3d::get_nzone(), Lorene::Tbl::get_taille(), Lorene::Map(), Lorene::Valeur::set_etat_c_qcq(), Lorene::Cmp::set_etat_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Cmp::set_etat_zero(), Lorene::Mtbl::t, Lorene::Tbl::t, and Lorene::Cmp::va.

## calcule_ent()

void Lorene::Eos_bifluid::calcule_ent | ( | const Cmp & | ent1,
|  | const Cmp & | ent2,
|  | const Cmp & | x2,
|  | int | nzet,
|  | int | l_min,
|  | double(Eos_bifluid::* | fait )(double, double, double) const,
|  | Cmp & | resu ) const

inherited

General computational method for `Cmp` 's ( 's).

Parameters

  ent1 | [input, unit ] baryonic log enthalpy field of fluid 1 at which the derivatives are to be computed.
  ent2 | [input, unit ] baryonic log enthalpy field of fluid 2 at which the derivatives are to be computed
  x2 | [input, unit ] relative velocity both densities at which the derivative is to be computed
  nzet | [input] number of domains where `resu` is to be computed.
  l_min | [input] index of the innermost domain is which `resu` is to be computed [default value: 0]; `resu` is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  fait | [input] pointer on the member function of class `Eos_bifluid` which performs the pointwise calculation.
  resu | [output] result of the computation.

Definition at line 783 of file eos_bifluid.C.

References Lorene::Cmp::annule(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Eos_bifluid(), Lorene::Cmp::get_etat(), Lorene::Tbl::get_etat(), Lorene::Cmp::get_mp(), Lorene::Mg3d::get_nzone(), Lorene::Tbl::get_taille(), Lorene::Map(), Lorene::Valeur::set_etat_c_qcq(), Lorene::Cmp::set_etat_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Cmp::set_etat_zero(), Lorene::Mtbl::t, Lorene::Tbl::t, and Lorene::Cmp::va.

## calcule_interpol()

void Lorene::Eos_bf_tabul::calcule_interpol | ( | const Cmp & | ent1,
|  | const Cmp & | ent2,
|  | const Cmp & | delta2,
|  | Cmp & | nbar1,
|  | Cmp & | nbar2,
|  | Cmp & | ener,
|  | Cmp & | press,
|  | Cmp & | K_nn,
|  | Cmp & | K_np,
|  | Cmp & | K_pp,
|  | int | nzet,
|  | int | l_min = 0 ) const

General computational method for `Cmp` 's, it computes both baryon densities, energy and pressure profiles.

Parameters

  ent1 | [input] the first log-enthalpy field .
  ent2 | [input] the second log-enthalpy field .
  delta2 | [input] the relative velocity field
  nbar1 | [output] baryonic density of the first fluid
  nbar2 | [output] baryonic density of the second fluid [unit: ]
  ener | [output] total energy density of both fluids together
  press | [output] pressure p of both fluids together
  K_nn | [output] coefficient
  K_np | [output] coefficient
  K_pp | [output] coefficient
  nzet | [input] number of domains where `resu` is to be computed.
  l_min | [input] index of the innermost domain is which `resu` is to be computed [default value: 0]; `resu` is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Definition at line 876 of file eos_bf_tabul.C.

References Lorene::Cmp::allocate_all(), Lorene::Cmp::annule(), d2lpsdlent1ddelta_car, d2lpsdlent1dlent2, d2lpsdlent2ddelta_car, delta_car, delta_car_max, delta_car_min, dlpsddelta_car, dlpsdlent1, dlpsdlent2, ent1_max, ent2_max, Lorene::exp(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Mg3d::get_nzone(), logent1, logent2, logp, Lorene::Eos_bifluid::m_1, Lorene::Eos_bifluid::m_2, Lorene::Map(), Lorene::pow(), Lorene::Cmp::set(), and Lorene::Cmp::set_etat_zero().

## calcule_tout()

void Lorene::Eos_bifluid::calcule_tout | ( | const Cmp & | ent1,
|  | const Cmp & | ent2,
|  | const Cmp & | delta2,
|  | Cmp & | nbar1,
|  | Cmp & | nbar2,
|  | Cmp & | ener,
|  | Cmp & | press,
|  | int | nzet,
|  | int | l_min = 0 ) const

virtual inherited

General computational method for `Cmp` 's, it computes both baryon densities, energy and pressure profiles.

Parameters

  ent1 | [input] the first log-enthalpy field .
  ent2 | [input] the second log-enthalpy field .
  delta2 | [input] the relative velocity field
  nbar1 | [output] baryonic density of the first fluid
  nbar2 | [output] baryonic density of the second fluid [unit: ]
  ener | [output] total energy density of both fluids together
  press | [output] pressure p of both fluids together
  nzet | [input] number of domains where `resu` is to be computed.
  l_min | [input] index of the innermost domain is which `resu` is to be computed [default value: 0]; `resu` is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Definition at line 281 of file eos_bifluid.C.

References Lorene::Cmp::allocate_all(), Lorene::Cmp::annule(), ener_nbar_p(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Mg3d::get_nzone(), identify(), Lorene::Map(), nbar_ent_p(), nbar_ent_p1(), nbar_ent_p2(), press_nbar_p(), Lorene::Cmp::set(), and Lorene::Cmp::set_etat_zero().

## ener_ent()

Cmp Lorene::Eos_bifluid::ener_ent | ( | const Cmp & | ent1,
|  | const Cmp & | ent2,
|  | const Cmp & | delta2,
|  | int | nzet,
|  | int | l_min = 0 ) const

inherited

Computes the total energy density from the log-enthalpy fields and the relative velocity.

Parameters

  ent1 | [input, unit: ] log-enthalpy
  ent2 | [input, unit: ] log-enthalpy
  delta2 | [input, unit: ] relative velocity
  nzet | number of domains where the energy density is to be computed.
  l_min | index of the innermost domain is which the energy density is to be computed [default value: 0]; the energy density is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  energy density field [unit: ], where

Definition at line 499 of file eos_bifluid.C.

References Lorene::Cmp::allocate_all(), Lorene::Cmp::annule(), ener_nbar_p(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Mg3d::get_nzone(), Lorene::Map(), nbar_ent_p(), nbar_ent_p1(), nbar_ent_p2(), Lorene::Cmp::set(), and Lorene::Cmp::set_etat_zero().

## ener_ent_p()

double Lorene::Eos_bf_tabul::ener_ent_p | ( | const double | ent1,
|  | const double | ent2,
|  | const double | delta_car ) const

virtual

Computes the total energy density from the baryonic log-enthalpies and the relative velocity.

Parameters

  ent1 | [input, unit: ] log-enthalpy of fluid 1
  ent2 | [input, unit: ] log-enthalpy of fluid 2
  delta2 | [input, unit: ] relative velocity

Returns
  energy density e [unit: ], where

Definition at line 1427 of file eos_bf_tabul.C.

References d2lpsdlent1ddelta_car, d2lpsdlent1dlent2, d2lpsdlent2ddelta_car, delta_car, dlpsddelta_car, dlpsdlent1, dlpsdlent2, Lorene::exp(), logent1, logent2, logp, Lorene::Eos_bifluid::m_1, and Lorene::Eos_bifluid::m_2.

## ener_nbar_p()

double Lorene::Eos_bf_tabul::ener_nbar_p | ( | const double | nbar1,
|  | const double | nbar2,
|  | const double | delta2 ) const

virtual

Computes the total energy density from the baryonic densities and the relative velocity.

Parameters

  nbar1 | [input] baryonic density of the first fluid
  nbar2 | [input] baryonic density of the second fluid [unit: ]
  delta2 | [input, unit: ] relative velocity

Returns
  energy density [unit: ], where

Implements Lorene::Eos_bifluid.

Definition at line 1293 of file eos_bf_tabul.C.

References Lorene::c_est_pas_fait().

## eos_from_file() [1/3]

Eos_bifluid * Lorene::Eos_bifluid::eos_from_file | ( | const char * | fname | ) |

static inherited

Construction of an EOS from a formatted file.

The following field has to be present:\ ident: [int] identifying the type of 2-fluid EOS 1 = relativistic polytropic EOS (class `Eos_bf_poly` ). \ 2 = Newtonian polytropic EOS (class `Eos_bf_poly_newt` ).

Definition at line 142 of file eos_bf_file.C.

References Eos_bifluid(), and Lorene::read_variable().

## eos_from_file() [2/3]

Eos_bifluid * Lorene::Eos_bifluid::eos_from_file | ( | FILE * | fich | ) |

static inherited

Construction of an EOS from a binary file.

The file must have been created by the function `sauve(FILE*)` .

Definition at line 105 of file eos_bf_file.C.

References Eos_bifluid(), and Lorene::fread_be().

## eos_from_file() [3/3]

Eos_bifluid * Lorene::Eos_bifluid::eos_from_file | ( | ifstream & | fich | ) |

static inherited

Construction of an EOS from a formatted file.

The fist line of the file must start by the EOS number, according to the following conventions:

- 1 = 2-fluid relativistic polytropic EOS (class `Eos_bf_poly` ).
- 2 = 2-fluid Newtonian polytropic EOS (class `Eos_bf_poly_newt` ).
- 3 = 2-fluid tabulated EOS (class `Eos_bf_tabul`). The second line in the file should contain a name given by the user to the EOS. The following lines should contain the EOS parameters (one parameter per line), in the same order than in the class declaration.

Definition at line 184 of file eos_bf_file.C.

References Eos_bifluid().

## get_K11()

double Lorene::Eos_bf_tabul::get_K11 | ( | const double | delta2,
|  | const double | ent1,
|  | const double | ent2 ) const

virtual

Computes the derivative of the energy with respect to (baryonic density 1) .

Parameters

  ent1 | [input, unit: ] log-enthalpy of fluid 1 at which the derivative is to be computed
  ent2 | [input, unit: ] log-enthalpy of fluid 2 at which the derivative is to be computed
  delta2 | [input, unit: ] relative velocity at which the derivative is to be computed

Returns
  derivative

Implements Lorene::Eos_bifluid.

Definition at line 1563 of file eos_bf_tabul.C.

References alpha_ent_p(), Lorene::exp(), Lorene::Eos_bifluid::m_1, and nbar_ent_p().

## get_K12()

double Lorene::Eos_bf_tabul::get_K12 | ( | const double | delta2,
|  | const double | ent1,
|  | const double | ent2 ) const

virtual

Computes the derivative of the energy with respect to .

Parameters

  ent1 | [input, unit: ] log-enthalpy of fluid 1 at which the derivative is to be computed
  ent2 | [input, unit: ] log-enthalpy of fluid 2 at which the derivative is to be computed
  delta2 | [input, unit: ] relative velocity at which the derivative is to be computed

Returns
  derivative

Implements Lorene::Eos_bifluid.

Definition at line 1656 of file eos_bf_tabul.C.

References alpha_ent_p(), Lorene::exp(), nbar_ent_p(), and Lorene::pow().

## get_K22()

double Lorene::Eos_bf_tabul::get_K22 | ( | const double | delta2,
|  | const double | ent1,
|  | const double | ent2 ) const

virtual

Computes the derivative of the energy/(baryonic density 2) .

Parameters

  ent1 | [input, unit: ] log-enthalpy of fluid 1 at which the derivative is to be computed
  ent2 | [input, unit: ] log-enthalpy of fluid 2 at which the derivative is to be computed
  delta2 | [input, unit: ] relative velocity at which the derivative is to be computed

Returns
  derivative

Implements Lorene::Eos_bifluid.

Definition at line 1610 of file eos_bf_tabul.C.

References alpha_ent_p(), Lorene::exp(), Lorene::Eos_bifluid::m_2, and nbar_ent_p().

## get_Knn()

Cmp Lorene::Eos_bifluid::get_Knn | ( | const Cmp & | nbar1,
|  | const Cmp & | nbar2,
|  | const Cmp & | x2,
|  | int | nzet,
|  | int | l_min = 0 ) const

inherited

Computes the derivatives of the energy/(baryonic density 1) .

Parameters

  nbar1 | [input, unit ] baryonic density field of fluid 1 at which the derivatives are to be computed
  nbar2 | [input, unit ] baryonic density field of fluid 2 at which the derivatives are to be computed
  x2 | [input, unit ] relative velocity both densities at which the derivative is to be computed
  nzet | number of domains where the derivatives are to be computed.
  l_min | index of the innermost domain is which the derivatives are to be computed [default value: 0]; the derivatives are computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  derivative field (see `get_K11` )

Definition at line 745 of file eos_bifluid.C.

References calcule(), get_K11(), and Lorene::Cmp::get_mp().

## get_Knn_ent()

Cmp Lorene::Eos_bifluid::get_Knn_ent | ( | const Cmp & | ent1,
|  | const Cmp & | ent2,
|  | const Cmp & | x2,
|  | int | nzet,
|  | int | l_min = 0 ) const

inherited

Computes the derivatives of the energy/(baryonic density 1) .

Parameters

  ent1 | [input, unit ] baryonic log enthalpy field of fluid 1 at which the derivatives are to be computed
  ent2 | [input, unit ] baryonic log enthalpy field of fluid 2 at which the derivatives are to be computed
  x2 | [input, unit ] relative velocity both densities at which the derivative is to be computed
  nzet | number of domains where the derivatives are to be computed.
  l_min | index of the innermost domain is which the derivatives are to be computed [default value: 0]; the derivatives are computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  derivative field (see `get_K11` )

Definition at line 873 of file eos_bifluid.C.

References calcule_ent(), get_K11(), and Lorene::Cmp::get_mp().

## get_Knp()

Cmp Lorene::Eos_bifluid::get_Knp | ( | const Cmp & | nbar1,
|  | const Cmp & | nbar2,
|  | const Cmp & | x2,
|  | int | nzet,
|  | int | l_min = 0 ) const

inherited

Computes the derivatives of the energy with respect to .

Parameters

  nbar1 | [input, unit ] baryonic density field of fluid 1 at which the derivatives are to be computed
  nbar2 | [input, unit ] baryonic density field of fluid 2 at which the derivatives are to be computed
  x2 | [input, unit ] relative velocity both densities at which the derivative is to be computed
  nzet | number of domains where the derivatives are to be computed.
  l_min | index of the innermost domain is which the derivatives are to be computed [default value: 0]; the derivatives are computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  derivative field (see `get_K12` )

Definition at line 756 of file eos_bifluid.C.

References calcule(), get_K12(), and Lorene::Cmp::get_mp().

## get_Knp_ent()

Cmp Lorene::Eos_bifluid::get_Knp_ent | ( | const Cmp & | ent1,
|  | const Cmp & | ent2,
|  | const Cmp & | x2,
|  | int | nzet,
|  | int | l_min = 0 ) const

inherited

Computes the derivatives of the energy with respect to .

Parameters

  ent1 | [input, unit ] baryonic log enthalpy field of fluid 1 at which the derivatives are to be computed
  ent2 | [input, unit ] baryonic log enthalpy field of fluid 2 at which the derivatives are to be computed
  x2 | [input, unit ] relative velocity both densities at which the derivative is to be computed
  nzet | number of domains where the derivatives are to be computed.
  l_min | index of the innermost domain is which the derivatives are to be computed [default value: 0]; the derivatives are computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  derivative field (see `get_K12` )

Definition at line 884 of file eos_bifluid.C.

References calcule_ent(), get_K12(), and Lorene::Cmp::get_mp().

## get_Kpp()

Cmp Lorene::Eos_bifluid::get_Kpp | ( | const Cmp & | nbar1,
|  | const Cmp & | nbar2,
|  | const Cmp & | x2,
|  | int | nzet,
|  | int | l_min = 0 ) const

inherited

Computes the derivatives of the energy/(baryonic density 2) .

Parameters

  nbar1 | [input, unit ] baryonic density field of fluid 1 at which the derivatives are to be computed
  nbar2 | [input, unit ] baryonic density field of fluid 2 at which the derivatives are to be computed
  x2 | [input, unit ] relative velocity both densities at which the derivative is to be computed
  nzet | number of domains where the derivatives are to be computed.
  l_min | index of the innermost domain is which the derivatives are to be computed [default value: 0]; the derivatives are computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  derivative field (see `get_K12` )

Definition at line 767 of file eos_bifluid.C.

References calcule(), get_K22(), and Lorene::Cmp::get_mp().

## get_Kpp_ent()

Cmp Lorene::Eos_bifluid::get_Kpp_ent | ( | const Cmp & | ent1,
|  | const Cmp & | ent2,
|  | const Cmp & | x2,
|  | int | nzet,
|  | int | l_min = 0 ) const

inherited

Computes the derivatives of the energy/(baryonic density 2) .

Parameters

  ent1 | [input, unit ] baryonic log enthalpy field of fluid 1 at which the derivatives are to be computed
  ent2 | [input, unit ] baryonic log enthalpy field of fluid 2 at which the derivatives are to be computed
  x2 | [input, unit ] relative velocity both densities at which the derivative is to be computed
  nzet | number of domains where the derivatives are to be computed.
  l_min | index of the innermost domain is which the derivatives are to be computed [default value: 0]; the derivatives are computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  derivative field (see `get_K12` )

Definition at line 895 of file eos_bifluid.C.

References calcule_ent(), get_K22(), and Lorene::Cmp::get_mp().

## get_m1()

double Lorene::Eos_bifluid::get_m1 | ( |  | ) | const

inline inherited

Return the individual particule mass .

[unit: ].

Definition at line 256 of file eos_bifluid.h.

References m_1.

## get_m2()

double Lorene::Eos_bifluid::get_m2 | ( |  | ) | const

inline inherited

Return the individual particule mass .

[unit: ].

Definition at line 262 of file eos_bifluid.h.

References m_2.

## get_name()

string Lorene::Eos_bifluid::get_name | ( |  | ) | const

inline inherited

Returns the EOS name.

Definition at line 246 of file eos_bifluid.h.

References name.

## identify()

int Lorene::Eos_bf_tabul::identify | ( |  | ) | const

virtual

Returns a number to identify the sub-classe of `Eos` the object belongs to.

Implements Lorene::Eos_bifluid.

Definition at line 99 of file eos_bf_file.C.

## nbar_ent()

void Lorene::Eos_bifluid::nbar_ent | ( | const Cmp & | ent1,
|  | const Cmp & | ent2,
|  | const Cmp & | delta2,
|  | Cmp & | nbar1,
|  | Cmp & | nbar2,
|  | int | nzet,
|  | int | l_min = 0 ) const

inherited

Computes both baryon density fields from the log-enthalpy fields and the relative velocity.

Parameters

  ent1 | [input, unit: ] log-enthalpy
  ent2 | [input, unit: ] log-enthalpy
  delta2 | [input, unit: ] relative velocity
  nbar1 | [output] baryonic density of the first fluid
  nbar2 | [output] baryonic density of the second fluid [unit: ]
  nzet | number of domains where the baryon density is to be computed.
  l_min | index of the innermost domain is which the baryon density is to be computed [default value: 0]; the baryon density is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Definition at line 411 of file eos_bifluid.C.

References Lorene::Cmp::allocate_all(), Lorene::Cmp::annule(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Mg3d::get_nzone(), Lorene::Map(), nbar_ent_p(), nbar_ent_p1(), nbar_ent_p2(), Lorene::Cmp::set(), and Lorene::Cmp::set_etat_zero().

## nbar_ent_p()

bool Lorene::Eos_bf_tabul::nbar_ent_p | ( | const double | ent1,
|  | const double | ent2,
|  | const double | delta2,
|  | double & | nbar1,
|  | double & | nbar2 ) const

virtual

Computes both baryon densities from the log-enthalpies.

Parameters

  ent1 | [input, unit: ] log-enthalpy
  ent2 | [input, unit: ] log-enthalpy
  delta2 | [input, unit: ] relative velocity
  nbar1 | [output] baryonic density of the first fluid
  nbar2 | [output] baryonic density of the second fluid [unit: ]

Implements Lorene::Eos_bifluid.

Definition at line 1181 of file eos_bf_tabul.C.

References d2lpsdlent1ddelta_car, d2lpsdlent1dlent2, d2lpsdlent2ddelta_car, delta_car, delta_car_max, delta_car_min, dlpsddelta_car, dlpsdlent1, dlpsdlent2, ent1_max, ent2_max, Lorene::exp(), logent1, logent2, logp, Lorene::Eos_bifluid::m_1, and Lorene::Eos_bifluid::m_2.

## nbar_ent_p1()

double Lorene::Eos_bf_tabul::nbar_ent_p1 | ( | const double | ent1 | ) | const

virtual

Computes baryon density out of the log-enthalpy asuming that only fluid 1 is present.

Parameters

  ent1 | [input, unit: ] log-enthalpy

Returns
  nbar1 baryonic density of the first fluid

Implements Lorene::Eos_bifluid.

Definition at line 1254 of file eos_bf_tabul.C.

References Lorene::exp(), and Lorene::Eos_bifluid::m_1.

## nbar_ent_p2()

double Lorene::Eos_bf_tabul::nbar_ent_p2 | ( | const double | ent2 | ) | const

virtual

Computes baryon density out of the log-enthalpy assuming that only fluid 2 is present.

Parameters

  ent2 | [input, unit: ] log-enthalpy

Returns
  nbar1 baryonic density of the first fluid

Implements Lorene::Eos_bifluid.

Definition at line 1274 of file eos_bf_tabul.C.

References Lorene::exp(), and Lorene::Eos_bifluid::m_2.

## operator!=()

bool Lorene::Eos_bf_tabul::operator!= | ( | const Eos_bifluid & | eos_i | ) | const

virtual

Comparison operator (difference).

Implements Lorene::Eos_bifluid.

Definition at line 312 of file eos_bf_tabul.C.

References Lorene::Eos_bifluid::Eos_bifluid(), and operator==().

## operator=()

void Lorene::Eos_bf_tabul::operator= | ( | const Eos_bf_tabul & | eosi | ) |

private

Assignment to another `Eos_bf_tabul`.

Definition at line 219 of file eos_bf_tabul.C.

References d2lpsdlent1ddelta_car, d2lpsdlent1dlent2, d2lpsdlent2ddelta_car, d3lpsdlent1dlent2ddelta_car, delta_car, delta_car_max, delta_car_min, dlpsddelta_car, dlpsdlent1, dlpsdlent2, ent1_max, ent1_min, ent2_max, ent2_min, Eos_bf_tabul(), logent1, logent2, logp, Lorene::Eos_bifluid::operator=(), and tablename.

## operator==()

bool Lorene::Eos_bf_tabul::operator== | ( | const Eos_bifluid & | eos_i | ) | const

virtual

Comparison operator (egality).

Implements Lorene::Eos_bifluid.

Definition at line 288 of file eos_bf_tabul.C.

References Eos_bf_tabul(), Lorene::Eos_bifluid::Eos_bifluid(), identify(), Lorene::Eos_bifluid::identify(), and tablename.

## operator>>()

ostream & Lorene::Eos_bf_tabul::operator>> | ( | ostream & | ost | ) | const

protected virtual

Operator >>.

Implements Lorene::Eos_bifluid.

Definition at line 273 of file eos_bf_tabul.C.

References tablename.

## press_ent()

Cmp Lorene::Eos_bifluid::press_ent | ( | const Cmp & | ent1,
|  | const Cmp & | ent2,
|  | const Cmp & | delta2,
|  | int | nzet,
|  | int | l_min = 0 ) const

inherited

Computes the pressure from the log-enthalpy fields and the relative velocity.

Parameters

  ent1 | [input, unit: ] log-enthalpy
  ent2 | [input, unit: ] log-enthalpy
  delta2 | [input, unit: ] relative velocity
  nzet | number of domains where the pressure is to be computed.
  l_min | index of the innermost domain is which the pressure is to be computed [default value: 0]; the pressure is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  pressure field [unit: ], where

Definition at line 579 of file eos_bifluid.C.

References Lorene::Cmp::allocate_all(), Lorene::Cmp::annule(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Mg3d::get_nzone(), Lorene::Map(), nbar_ent_p(), nbar_ent_p1(), nbar_ent_p2(), press_nbar_p(), Lorene::Cmp::set(), and Lorene::Cmp::set_etat_zero().

## press_ent_p()

double Lorene::Eos_bf_tabul::press_ent_p | ( | const double | ent1,
|  | const double | ent2,
|  | const double | delta_car ) const

virtual

Computes the pressure from the baryonic log-enthalpies and the relative velocity.

Computes the pressure from the log-enthalpy.

Parameters

  ent1 | [input, unit: ] log-enthalpy of fluid 1
  ent2 | [input, unit: ] log-enthalpy of fluid 2
  delta2 | [input, unit: ] relative velocity

Returns
  pressure p [unit: ], where

Definition at line 1316 of file eos_bf_tabul.C.

References d2lpsdlent1ddelta_car, d2lpsdlent1dlent2, d2lpsdlent2ddelta_car, delta_car, delta_car_max, delta_car_min, dlpsddelta_car, dlpsdlent1, dlpsdlent2, ent1_max, ent2_max, Lorene::exp(), logent1, logent2, logp, Lorene::Eos_bifluid::m_1, and Lorene::Eos_bifluid::m_2.

## press_ent_p1()

double Lorene::Eos_bf_tabul::press_ent_p1 | ( | const double | ent1 | ) | const

virtual

Computes the pressure from the baryonic log-enthalpies asuming that only fluid 1 is present.

Parameters

  ent1 | [input, unit: ] log-enthalpy

Returns
  nbar1 baryonic density of the first fluid

Definition at line 1375 of file eos_bf_tabul.C.

References ent1_max, Lorene::exp(), and Lorene::Eos_bifluid::m_1.

## press_ent_p2()

double Lorene::Eos_bf_tabul::press_ent_p2 | ( | const double | ent2 | ) | const

virtual

Computes the pressure from the baryonic log-enthalpies assuming that only fluid 2 is present.

Parameters

  ent2 | [input, unit: ] log-enthalpy

Returns
  nbar1 baryonic density of the first fluid

Definition at line 1401 of file eos_bf_tabul.C.

References ent2_max, Lorene::exp(), and Lorene::Eos_bifluid::m_2.

## press_nbar_p()

double Lorene::Eos_bf_tabul::press_nbar_p | ( | const double | nbar1,
|  | const double | nbar2,
|  | const double | delta2 ) const

virtual

Computes the pressure from the baryonic densities and the relative velocity.

Parameters

  nbar1 | [input] baryonic density of the first fluid
  nbar2 | [input] baryonic density of the second fluid [unit: ]
  delta2 | [input, unit: ] relative velocity

Returns
  pressure p [unit: ], where

Implements Lorene::Eos_bifluid.

Definition at line 1304 of file eos_bf_tabul.C.

References Lorene::c_est_pas_fait().

## read_table()

void Lorene::Eos_bf_tabul::read_table | ( |  | ) |

protected

Reads the file containing the table and initializes the arrays logent1, `logent2`, `delta_car`, `logp`, `dlpsdlent1`, `dlpsdlent2`, `d2lpsdlent1dlent2`, `dlpsddelta_car`, `d2lpsdlent1ddelta_car`, `d2lpsdlent2ddelta_car`, `d3lpsdlent1dlent2ddelta_car`.

Definition at line 323 of file eos_bf_tabul.C.

References authors, d2lpsdlent1ddelta_car, d2lpsdlent1dlent1, d2lpsdlent1dlent2, d2lpsdlent2ddelta_car, d2lpsdlent2dlent2, delta_car, delta_car_max, delta_car_min, dlpsddelta_car, dlpsdlent1, dlpsdlent2, ent1_max, ent1_min, ent2_max, ent2_min, logent1, logent2, logp, Lorene::pow(), and tablename.

## sauve()

void Lorene::Eos_bf_tabul::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented from Lorene::Eos_bifluid.

Definition at line 262 of file eos_bf_tabul.C.

References Lorene::Eos_bifluid::sauve(), and tablename.

## trans2Eos()

Eos * Lorene::Eos_bf_tabul::trans2Eos | ( |  | ) | const

virtual

Makes a translation from `Eos_bifluid` to `Eos` .

This is only useful for the construction of a `Et_rot_bifluid` star and ought not to be used in other situations.

Implements Lorene::Eos_bifluid.

Definition at line 1691 of file eos_bf_tabul.C.

## Friends And Related Symbol Documentation

## Eos_bifluid::eos_from_file

Eos_bifluid * Eos_bifluid::eos_from_file | ( | FILE * |  | ) |

friend

The construction functions from a file.

References delta_car, Eos_bf_tabul(), and Lorene::Eos_bifluid::Eos_bifluid().

## Member Data Documentation

## authors

string Lorene::Eos_bf_tabul::authors

protected

Authors.

Definition at line 1544 of file eos_bifluid.h.

## d2lpsdlent1ddelta_car

Tbl* Lorene::Eos_bf_tabul::d2lpsdlent1ddelta_car

protected

Table of .

Definition at line 1603 of file eos_bifluid.h.

## d2lpsdlent1dlent1

Tbl* Lorene::Eos_bf_tabul::d2lpsdlent1dlent1

protected

Table of .

Definition at line 1594 of file eos_bifluid.h.

## d2lpsdlent1dlent2

Tbl* Lorene::Eos_bf_tabul::d2lpsdlent1dlent2

protected

Table of .

Definition at line 1591 of file eos_bifluid.h.

## d2lpsdlent2ddelta_car

Tbl* Lorene::Eos_bf_tabul::d2lpsdlent2ddelta_car

protected

Table of .

Definition at line 1606 of file eos_bifluid.h.

## d2lpsdlent2dlent2

Tbl* Lorene::Eos_bf_tabul::d2lpsdlent2dlent2

protected

Table of .

Definition at line 1596 of file eos_bifluid.h.

## d3lpsdlent1dlent2ddelta_car

Tbl* Lorene::Eos_bf_tabul::d3lpsdlent1dlent2ddelta_car

protected

if necessary for the interpolation to find alpha (derivee seconde croisee) ie, if it's possible to calculate it (when the eos is calculated) Table of

Definition at line 1611 of file eos_bifluid.h.

## delta_car

Tbl* Lorene::Eos_bf_tabul::delta_car

protected

Table of .

Definition at line 1579 of file eos_bifluid.h.

## delta_car_max

double Lorene::Eos_bf_tabul::delta_car_max

protected

Upper boundary of the relative velocity interval --> 1 ?

or a maximal value until which the linear approximation in \Delta^{2} is fine ?

Definition at line 1551 of file eos_bifluid.h.

## delta_car_min

double Lorene::Eos_bf_tabul::delta_car_min

protected

Lower boundary of the relative velocity interval --> 0 ?

Definition at line 1547 of file eos_bifluid.h.

## delta_car_n0

Tbl* Lorene::Eos_bf_tabul::delta_car_n0

protected

Definition at line 1615 of file eos_bifluid.h.

## delta_car_p0

Tbl* Lorene::Eos_bf_tabul::delta_car_p0

protected

Definition at line 1619 of file eos_bifluid.h.

## dlpsddelta_car

Tbl* Lorene::Eos_bf_tabul::dlpsddelta_car

protected

Table of .

Definition at line 1600 of file eos_bifluid.h.

## dlpsdlent1

Tbl* Lorene::Eos_bf_tabul::dlpsdlent1

protected

Table of .

Definition at line 1585 of file eos_bifluid.h.

## dlpsdlent2

Tbl* Lorene::Eos_bf_tabul::dlpsdlent2

protected

Table of .

Definition at line 1588 of file eos_bifluid.h.

## ent1_max

double Lorene::Eos_bf_tabul::ent1_max

protected

Upper boundary of the log-enthalpy interval (fluid 1 = n).

Definition at line 1558 of file eos_bifluid.h.

## ent1_min

double Lorene::Eos_bf_tabul::ent1_min

protected

Lower boundary of the log-enthalpy interval (fluid 1 = n).

Definition at line 1555 of file eos_bifluid.h.

## ent2_max

double Lorene::Eos_bf_tabul::ent2_max

protected

Upper boundary of the log-enthalpy interval (fluid 2 = p).

Definition at line 1564 of file eos_bifluid.h.

## ent2_min

double Lorene::Eos_bf_tabul::ent2_min

protected

Lower boundary of the log-enthalpy interval (fluid 2 = p).

Definition at line 1561 of file eos_bifluid.h.

## logent1

Tbl* Lorene::Eos_bf_tabul::logent1

protected

Table of where .

Definition at line 1570 of file eos_bifluid.h.

## logent2

Tbl* Lorene::Eos_bf_tabul::logent2

protected

Table of where .

Definition at line 1576 of file eos_bifluid.h.

## logp

Tbl* Lorene::Eos_bf_tabul::logp

protected

Table of .

Definition at line 1582 of file eos_bifluid.h.

## m_1

double Lorene::Eos_bifluid::m_1

protected inherited

Individual particle mass
[unit: ].

Definition at line 184 of file eos_bifluid.h.

## m_2

double Lorene::Eos_bifluid::m_2

protected inherited

Individual particle mass
[unit: ].

Definition at line 189 of file eos_bifluid.h.

## mu1_N

Tbl* Lorene::Eos_bf_tabul::mu1_N

protected

Definition at line 1624 of file eos_bifluid.h.

## mu1_n0

Tbl* Lorene::Eos_bf_tabul::mu1_n0

protected

Definition at line 1616 of file eos_bifluid.h.

## mu1_p0

Tbl* Lorene::Eos_bf_tabul::mu1_p0

protected

Definition at line 1620 of file eos_bifluid.h.

## mu2_n0

Tbl* Lorene::Eos_bf_tabul::mu2_n0

protected

Definition at line 1617 of file eos_bifluid.h.

## mu2_P

Tbl* Lorene::Eos_bf_tabul::mu2_P

protected

Definition at line 1627 of file eos_bifluid.h.

## mu2_p0

Tbl* Lorene::Eos_bf_tabul::mu2_p0

protected

Definition at line 1621 of file eos_bifluid.h.

## n_n_N

Tbl* Lorene::Eos_bf_tabul::n_n_N

protected

Definition at line 1625 of file eos_bifluid.h.

## n_p_P

Tbl* Lorene::Eos_bf_tabul::n_p_P

protected

Definition at line 1628 of file eos_bifluid.h.

## name

string Lorene::Eos_bifluid::name

protected inherited

EOS name.

Definition at line 179 of file eos_bifluid.h.

## press_N

Tbl* Lorene::Eos_bf_tabul::press_N

protected

Definition at line 1626 of file eos_bifluid.h.

## press_P

Tbl* Lorene::Eos_bf_tabul::press_P

protected

Definition at line 1629 of file eos_bifluid.h.

## tablename

string Lorene::Eos_bf_tabul::tablename

protected

Name of the file containing the tabulated data (be careful, Eos_bifluid uses char*).

Definition at line 1541 of file eos_bifluid.h.

The documentation for this class was generated from the following files:

- eos_bifluid.h
- eos_bf_file.C
- eos_bf_tabul.C